local Config = require("Config")
local lua_mongo = _G.lua_mongo

-- 加db第一步 请先确认是否要建对应字段的索引 第二步请确认合服逻辑是否要修改
db_char =					Config.DB_NAME .. ".char"				-- 角色表
db_mail =					Config.DB_NAME .. ".mail"				-- 邮件
db_common =					Config.DB_NAME .. ".common"				-- 通用数据（开服时间）
db_friend =					Config.DB_NAME .. ".friend"				-- 好友数据库表
db_boss = 	        	    Config.DB_NAME .. ".boss_data"		    -- boss记录表
db_union =					Config.DB_NAME .. ".union"              -- 工会数据表
db_jjc =					Config.DB_NAME .. ".jjc"				-- 单人竞技场
db_combat_video = 			Config.DB_NAME .. ".combat_video"		-- 战斗录像[本地记录 个人记录 单人竞技场 通天塔 王者争霸 战役记录]
db_drill =     				Config.DB_NAME .. ".drill_data"         -- 圣树试炼/过关斩将
db_union_war = 				Config.DB_NAME .. ".union_war"   		-- 公会战
db_union_war_record =		Config.DB_NAME .. ".union_war_record"   -- 公会战记录
db_the_stars =				Config.DB_NAME .. ".the_stars"          -- 星空争霸
db_abs_billboard =  		Config.DB_NAME .. ".abs_billboard"		-- 绝对时间排行榜记录
db_middle_act_group = 		Config.DB_NAME .. ".middle_act_group"	-- 跨服活动分组记录
db_battle_shark = 		    Config.DB_NAME .. ".battle_shark"	    -- 战役通关战报
db_tower        =           Config.DB_NAME .. ".tower"	   			-- 全服通天塔 信息
db_hero_pingfen =           Config.DB_NAME .. ".hero_pingfen"	   	-- 英雄评分信息用于排名           
db_jjcGodWar = 				Config.DB_NAME .. ".jjcGodWar"			-- 众神之战
db_jjcGodWar_record = 		Config.DB_NAME .. ".jjcGodWar_record"	-- 众神之战记录
db_chat_record = 		    Config.DB_NAME .. ".chat_record"        -- 好友聊天记录
db_jjcLadder = 				Config.DB_NAME .. ".jjcLadder"    	    -- 天梯争霸
db_jjcLadder_record = 		Config.DB_NAME .. ".jjcLadder_record"   -- 天梯争霸记录
db_yjTreasure = 			Config.DB_NAME .. ".yjTreasure"   		-- 遗迹探宝
db_yjTreasure_rank = 		Config.DB_NAME .. ".yjTreasure_rank"   	-- 遗迹探宝排行
db_yjTreasure_role = 		Config.DB_NAME .. ".yjTreasure_role"   	-- 遗迹探宝角色信息
db_valley = 				Config.DB_NAME .. ".valley"   			-- 荣耀峡谷/龙族战场
db_valley_record =			Config.DB_NAME .. ".valley_record"   	-- 荣耀峡谷/龙族战场记录
db_war_report =			    Config.DB_NAME .. ".war_report"   	    -- 战报[跨服记录 冠军联赛 王者争霸 天梯 切磋 系列排名存储记录]
db_openServer_billboard =   Config.DB_NAME .. ".openServer_billboard"-- 开服排行类活动
db_lost_temple          =   Config.DB_NAME .. ".lost_temple"         -- 神庙
db_common_rank			= 	Config.DB_NAME .. ".common_rank"         -- 通用排行榜
db_middle_rank			=	Config.DB_NAME .. ".middle_rank"		 -- 中心服排行榜数据
db_gods_area			=	Config.DB_NAME .. ".godsArea"			 -- 诸神圣域
db_area_battle			= 	Config.DB_NAME .. ".areaBattle"			 -- 战区争霸
db_anotherWorldBattle	= 	Config.DB_NAME .. ".anotherWorldBattle"	 -- 异界之战
db_battleground			= 	Config.DB_NAME .. ".battleground"	 	 -- 跨服活动之巅峰战场
db_bzcs					= 	Config.DB_NAME .. ".baiZhanChengShen"	 -- 百战成神
-- 加db第一步 请先确认是否要建对应字段的索引 第二步请确认合服逻辑是否要修改 

function init()
	if has_init then
		return
	end
	has_init = true
	lua_mongo.client(Config.DB_IP)
	lua_mongo.auth(Config.DB_NAME, Config.DB_USER, Config.DB_PASS)
	lua_mongo.index(db_char, "name")
	lua_mongo.index(db_char, "account")
	lua_mongo.index(db_char, "newUniqueTag")
	lua_mongo.index(db_char, "zhandouli")	
	lua_mongo.index(db_char, "identity")
	lua_mongo.index(db_char, "lv")
	lua_mongo.index(db_mail, "uuid")
	lua_mongo.index(db_mail, "receiverUuid")
	lua_mongo.index(db_friend,"uuid1")
	lua_mongo.index(db_friend,"uuid2")
    lua_mongo.index(db_boss,"ownUuid")
    lua_mongo.index(db_union,"name")                    -- 公会名
	lua_mongo.index(db_union,"id")                      -- 公会ID
	lua_mongo.index(db_union,"zhandouli")               -- 公会战力
	lua_mongo.index(db_combat_video, "videoType")
	lua_mongo.index(db_combat_video, "key")
	lua_mongo.index(db_drill,"zhandouli")
    lua_mongo.index(db_abs_billboard,"uuid")
	lua_mongo.index(db_battle_shark,"nodeID")
	lua_mongo.index(db_tower,"lv")
	lua_mongo.index(db_chat_record,"uuid")
	lua_mongo.index(db_union_war_record, "attackUuid")
	lua_mongo.index(db_union_war_record, "upTime")
end

init()

